Package org.eclipse.emf.cdo.common.util

# Interface CDOFingerPrinter

public interface CDOFingerPrinter

Since:
  4.26
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`CDOFingerPrinter.Factory`
`static final class`
`CDOFingerPrinter.FingerPrint`

## Method Summary

Modifier and Type
Method
Description
`CDOFingerPrinter.FingerPrint`
`createFingerPrint(CDORevisionProvider revisionProvider, CDOID rootID)`
`String`
`getParam()`
`String`
`getType()`

## Method Details

### getType

String getType()

### getParam

String getParam()

### createFingerPrint

CDOFingerPrinter.FingerPrint createFingerPrint(CDORevisionProvider revisionProvider, CDOID rootID)